| OpendTect 8.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Protected Attributes | Private Member Functions | List of all members
OD::JSON::ValArr Class Reference
Basic

`#include <odjson.h>`

## Public Types
typedef BoolTypeSet | BSet
typedef size_type | idx_type
typedef TypeSet< NumberType > | NSet
typedef BoolTypeSet::size_type | size_type
typedef BufferStringSet | SSet

## Public Member Functions
| ValArr (const ValArr &)
| ValArr (DataType)
virtual | ~ValArr ()
BSet & | bools ()
const BSet & | bools () const
DataType | dataType () const
BufferString | dumpJSon () const
void | dumpJSon (BufferString &) const
void | dumpJSon (StringBuilder &) const
FilePath | getFilePath (idx_type idx) const
bool | isEmpty () const
OD::Set & | odSet ()
const OD::Set & | odSet () const
ValArr & | operator= (const ValArr &)=delete
void | setEmpty ()
void | setFilePath (const FilePath &, idx_type idx)
size_type | size () const
SSet & | strings ()
const SSet & | strings () const
bool | validIdx (idx_type idx) const
NSet & | vals ()
const NSet & | vals () const

## Protected Attributes
OD::Set * | set_ = nullptr
DataType | type_ = Boolean

## Private Member Functions
| ValArr ()=delete

## Detailed Description

holds 'flat' value sets of each of the DataType's

<>

## Member Typedef Documentation

## ◆ BSet

typedef BoolTypeSet OD::JSON::ValArr::BSet

## ◆ idx_type

typedef size_type OD::JSON::ValArr::idx_type

## ◆ NSet

typedef TypeSet<NumberType> OD::JSON::ValArr::NSet

## ◆ size_type

typedef BoolTypeSet::size_type OD::JSON::ValArr::size_type

## ◆ SSet

typedef BufferStringSet OD::JSON::ValArr::SSet

## Constructor & Destructor Documentation

## ◆ ValArr() [1/3]

OD::JSON::ValArr::ValArr | ( | DataType |  | ) |

## ◆ ValArr() [2/3]

OD::JSON::ValArr::ValArr | ( | const ValArr & |  | ) |

## ◆ ~ValArr()

virtual OD::JSON::ValArr::~ValArr | ( |  | ) |
| virtual

## ◆ ValArr() [3/3]

OD::JSON::ValArr::ValArr | ( |  | ) |
| private delete

## Member Function Documentation

## ◆ bools() [1/2]

BSet & OD::JSON::ValArr::bools | ( |  | ) |
| inline

## ◆ bools() [2/2]

const BSet & OD::JSON::ValArr::bools | ( |  | ) | const
| inline

## ◆ dataType()

DataType OD::JSON::ValArr::dataType | ( |  | ) | const
| inline

## ◆ dumpJSon() [1/3]

BufferString OD::JSON::ValArr::dumpJSon | ( |  | ) | const

## ◆ dumpJSon() [2/3]

void OD::JSON::ValArr::dumpJSon | ( | BufferString & |  | ) | const

## ◆ dumpJSon() [3/3]

void OD::JSON::ValArr::dumpJSon | ( | StringBuilder & |  | ) | const

## ◆ getFilePath()

FilePath OD::JSON::ValArr::getFilePath | ( | idx_type | idx | ) | const

## ◆ isEmpty()

bool OD::JSON::ValArr::isEmpty | ( |  | ) | const
| inline

## ◆ odSet() [1/2]

OD::Set & OD::JSON::ValArr::odSet | ( |  | ) |
| inline

## ◆ odSet() [2/2]

const OD::Set & OD::JSON::ValArr::odSet | ( |  | ) | const
| inline

## ◆ operator=()

ValArr & OD::JSON::ValArr::operator= | ( | const ValArr & |  | ) |
| delete

## ◆ setEmpty()

void OD::JSON::ValArr::setEmpty | ( |  | ) |
| inline

## ◆ setFilePath()

void OD::JSON::ValArr::setFilePath | ( | const FilePath & | ,
|  | idx_type | idx )

## ◆ size()

size_type OD::JSON::ValArr::size | ( |  | ) | const
| inline

## ◆ strings() [1/2]

SSet & OD::JSON::ValArr::strings | ( |  | ) |
| inline

## ◆ strings() [2/2]

const SSet & OD::JSON::ValArr::strings | ( |  | ) | const
| inline

## ◆ validIdx()

bool OD::JSON::ValArr::validIdx | ( | idx_type | idx | ) | const
| inline

## ◆ vals() [1/2]

NSet & OD::JSON::ValArr::vals | ( |  | ) |
| inline

## ◆ vals() [2/2]

const NSet & OD::JSON::ValArr::vals | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ set_

OD::Set* OD::JSON::ValArr::set_ = nullptr
| protected

## ◆ type_

DataType OD::JSON::ValArr::type_ = Boolean
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025